/* template.js, Copyright (C) 2007 - 2010 YOOtheme GmbH */

var YOOTemplate = {
		
	start: function() {

		/* Match height of div tags */
		YOOTemplate.matchHeights();

		/* Accordion menu */
		new YOOAccordionMenu('div#middle ul.menu li.toggler', 'ul.accordion', { accordion: 'slide' });

		/* Dropdown menu */
		var dropdown = new YOODropdownMenu('menu', { mode: 'slide', dropdownSelector: 'div.dropdown', transition: Fx.Transitions.Expo.easeOut });
		//dropdown.matchHeight();

		/* Fancy menu */
		new YOOFancyMenu('menu', { mode: 'fade', transition: Fx.Transitions.expoOut, duration: 500 });

		/* set hover color */
		var hoverColor;
		switch (YtSettings.color) {
			case 'green':
				hoverColor = '#8dc92a';
				break;
			case 'red':
				hoverColor = '#dd3321';
				break;
			case 'orange':
				hoverColor = '#ed771a';
				break;
			case 'pink':
				hoverColor = '#c92197';
				break;
			case 'turquoise':
				hoverColor = '#33b1cd';
				break;
			case 'carbon':
				hoverColor = '#515764';
				break;
			case 'comboblue':
				hoverColor = '#00bee5';
				break;
			case 'combogold':
				hoverColor = '#e9b44d';
				break;
			case 'comboleather':
				hoverColor = '#52412e';
				break;
			case 'combosunset':
				hoverColor = '#d36800';
				break;
			case 'comboorange':
				hoverColor = '#ed771a';
				break;
			default:
				hoverColor = '#2B86CA';
		}

		/* Morph: mod-black sub menu - level1 */
		var submenuEnter = { 'background-color': hoverColor };
		var submenuLeave = { 'background-color': '#ffffff' };

		new YOOMorph('div.mod-black ul.menu a.level1, div.mod-black ul.menu span.level1', submenuEnter, submenuLeave,
			{ transition: Fx.Transitions.expoOut, duration: 0 },
			{ transition: Fx.Transitions.sineIn, duration: 300 });
		
		/* Morph: mod-black sub menu - all levels */
		var submenuEnter = { 'color': '#000000' };
		var submenuLeave = { 'color': '#646464' };

		new YOOMorph('div.mod-black ul.menu span.bg', submenuEnter, submenuLeave,
			{ transition: Fx.Transitions.expoOut, duration: 0 },
			{ transition: Fx.Transitions.sineIn, duration: 300 });

		/* Morph: mod-line sub menu - level1 */
		var submenuEnter = { 'color': '#000000', 'padding-left': 5};
		var submenuLeave = { 'color': '#646464', 'padding-left': 0};

		new YOOMorph('div.mod-band ul.menu span.bg', submenuEnter, submenuLeave,
			{ transition: Fx.Transitions.expoOut, duration: 100 },
			{ transition: Fx.Transitions.sineIn, duration: 300 });

		/* Smoothscroll */
		new SmoothScroll({ duration: 500, transition: Fx.Transitions.Expo.easeOut });
	},

	/* Match height of div tags */
	matchHeights: function() {
		YOOBase.matchHeight('div.headerbox div.deepest', 20);
		YOOBase.matchHeight('div.topbox div.deepest', 20);
		YOOBase.matchHeight('div.bottombox div.deepest', 20);
		YOOBase.matchHeight('div.maintopbox div.deepest', 20);
		YOOBase.matchHeight('div.mainbottombox div.deepest', 20);
		YOOBase.matchHeight('div.contenttopbox div.deepest', 20);
		YOOBase.matchHeight('div.contentbottombox div.deepest', 20);
	}

};

/* Add functions on window load */
window.addEvent('domready', YOOTemplate.start);
